---
title: CSS Fonts
slug: Web/CSS/CSS_Fonts
tags:
  - CSS
  - CSS Fonts
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>CSS Fonts</strong> is a module of CSS that defines font-related properties and how font resources are loaded. It lets you define the style of a font, such as its family, size and weight, line height, and the glyph variants to use when multiple are available for a single character.</p>

<h2 id="Basic_example">Basic example</h2>

<p>The following example shows a simple use of basic font properties to style a paragraph of text.</p>

<pre class="brush: css notranslate">p {
  width: 600px;
  margin: 0 auto;
  font-family: "Helvetica Neue", "Arial", sans-serif;
  font-style: italic;
  font-weight: 100;
  font-variant-ligatures: normal;
  font-size: 2rem;
  letter-spacing: 1px;
}</pre>

<pre class="brush: html notranslate">&lt;p&gt;Three hundred years ago&lt;br&gt;
  I thought I might get some sleep&lt;br&gt;
  I stretched myself out onna antique bed&lt;br&gt;
  An' my spirit did a midnite creep&lt;/p&gt;</pre>

<p>The result is as follows:</p>

<p>{{EmbedLiveSample('Basic_example', '100%', '200')}}</p>

<h2 id="Variable_fonts_examples">Variable fonts examples</h2>

<p>You can find a number of variable fonts examples at <a href="https://v-fonts.com/">v-fonts.com</a> and <a href="https://www.axis-praxis.org/">axis-praxis.org</a>; see also our <a href="/en-US/docs/Web/CSS/CSS_Fonts/Variable_Fonts_Guide">Variable fonts guide</a> for more information and usage information.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("font")}}</li>
 <li>{{cssxref("font-family")}}</li>
 <li>{{cssxref("font-feature-settings")}}</li>
 <li>{{cssxref("font-kerning")}}</li>
 <li>{{cssxref("font-language-override")}}</li>
 <li>{{cssxref("font-optical-sizing")}}</li>
 <li>{{cssxref("font-size")}}</li>
 <li>{{cssxref("font-size-adjust")}}</li>
 <li>{{cssxref("font-stretch")}}</li>
 <li>{{cssxref("font-style")}}</li>
 <li>{{cssxref("font-synthesis")}}</li>
 <li>{{cssxref("font-variant")}}</li>
 <li>{{cssxref("font-variant-alternates")}}</li>
 <li>{{cssxref("font-variant-caps")}}</li>
 <li>{{cssxref("font-variant-east-asian")}}</li>
 <li>{{cssxref("font-variant-ligatures")}}</li>
 <li>{{cssxref("font-variant-numeric")}}</li>
 <li>{{cssxref("font-variant-position")}}</li>
 <li>{{cssxref("font-variation-settings")}}</li>
 <li>{{cssxref("font-weight")}}</li>
 <li>{{cssxref("line-height")}}</li>
</ul>
</div>

<h3 id="At-rules">At-rules</h3>

<dl>
 <dt>{{cssxref("@font-face")}}</dt>
 <dd>
 <div class="index">
 <ul>
  <li>{{cssxref("@font-face/font-family", "font-family")}}</li>
  <li>{{cssxref("@font-face/font-feature-settings", "font-feature-settings")}}</li>
  <li>{{cssxref("@font-face/font-style", "font-style")}}</li>
  <li>{{cssxref("@font-face/font-variant", "font-variant")}}</li>
  <li>{{cssxref("@font-face/font-weight", "font-weight")}}</li>
  <li>{{cssxref("@font-face/font-stretch", "font-stretch")}}</li>
  <li>{{cssxref("@font-face/src", "src")}}</li>
  <li>{{cssxref("@font-face/unicode-range", "unicode-range")}}</li>
 </ul>
 </div>
 </dd>
 <dt>{{cssxref("@font-feature-values")}}</dt>
</dl>

<h2 id="Guides">Guides</h2>

<dl>
 <dt><a href="/en-US/docs/Learn/CSS/Styling_text/Fundamentals">Fundamental text and font styling</a></dt>
 <dd>In this beginner's learning article we go through all the basic fundamentals of text/font styling in detail, including setting font weight, family and style, font shorthand, text alignment and other effects, and line and letter spacing.</dd>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Fonts/OpenType_fonts_guide">OpenType font features guide</a></dt>
 <dd>Font features or variants refer to different glyphs or character styles contained within an OpenType font. These include things like ligatures (special glyphs that combine characters like 'fi' or 'ffl'), kerning (adjustments to the spacing between specific letterform pairings), fractions, numeral styles, and a number of others. These are all referred to as OpenType Features, and are made available to use on the web via specific properties and a low-level control property — {{cssxref("font-feature-settings")}}. This article provides you with all you need to know about using OpenType font features in CSS.</dd>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Fonts/Variable_Fonts_Guide">Variable fonts guide</a></dt>
 <dd><strong>Variable fonts</strong> are an evolution of the OpenType font specification that enables many different variations of a typeface to be incorporated into a single file, rather than having a separate font file for every width, weight, or style. This article will give you all you need to know to get you started using variable fonts.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Fonts')}}</td>
   <td>{{Spec2('CSS4 Fonts')}}</td>
   <td>Adds <code>font-variation-settings</code> (and related higher-level properties) and <code>font-optical-sizing</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Fonts')}}</td>
   <td>{{Spec2('CSS3 Fonts')}}</td>
   <td>Adds <code>font-feature-settings</code> (and related higher-level properties)</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'fonts.html#font-shorthand', '')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#font', '')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
